import unittest, sys
import io
import unittest.mock
import numpy as np

from tmc import points

from tmc.utils import load, get_out

main = load('src.main', 'find_best')

@points('3-2')
class MainTest(unittest.TestCase):
   

    def test_answer_one(self):
        X = np.array([[66, 5, 15, 2, 500], [21, 3, 50, 1, 100], [120, 15, 5, 2, 1200]])
        y = np.array([250000, 60000, 525000])
        c = np.array([[3000, 200 , -50, 5000, 100], [2000, -250, -100, 150, 250], [3000, -100, -150, 0, 150]])   

        main(X, y, c)
        output = get_out()
        self.assertEqual(output, "the best set is set 1")

    def test_answer_two(self):
        X = np.array([[64, 7, 24, 2, 500], [21, 3, 50, 1, 100], [120, 15, 5, 2, 1200]])
        y = np.array([550000, 30000, 825000])
        c = np.array([[6000, 300 , -90, 5000, 200], [4000, -550, -200, 350, 950], [6000, -200, -350, 4, 250]])  

        main(X, y, c)
        output = get_out()
        self.assertEqual(output, "the best set is set 0")
          
if __name__ == '__main__':
    unittest.main()
