import contextlib
import unittest
import io
import unittest.mock
import numpy as np
from unittest import TextTestRunner


class MainTest(unittest.TestCase):

    def test_answer(self):
        
        X = np.array([[66, 5, 15, 2, 500], [21, 3, 50, 1, 100], [120, 15, 5, 2, 1200]])
        y = np.array([250000, 60000, 525000])
        c = np.array([[3000, 200 , -50, 5000, 100], [2000, -250, -100, 150, 250], [3000, -100, -150, 0, 150]])   

        capturedOutput = io.StringIO()                 
        sys.stdout = capturedOutput                     
        find_best(X, y, c)
        sys.stdout = sys.__stdout__ 
        output = capturedOutput.getvalue().strip()
        self.assertEqual(output, "the best set is set 1")

test_suite = unittest.TestLoader().loadTestsFromTestCase(MainTest)
with io.StringIO() as buf:
    # run the tests
    with contextlib.redirect_stdout(buf):
        TextTestRunner(stream=buf).run(test_suite)
    # process (in this case: print) the results
    printTest(buf.getvalue())
